aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/ci/contrib-math-comp.sh
diff options
context:
space:
mode:
authorGravatar Emilio Jesus Gallego Arias <e+git@x80.org>2017-02-04 21:25:14 +0100
committerGravatar Emilio Jesus Gallego Arias <e+git@x80.org>2017-02-07 10:25:58 +0100
commit3e07baa69f1e7de02670dd20dd7577d70c2f2653 (patch)
tree3f9966ca9ceb7dc69edfbe78f35a448b2d4f023a /tools/ci/contrib-math-comp.sh
parent348160a1c59da5c448a56a2e2802865f94a40ddc (diff)
[travis] [External CI] compcert HoTT math-comp
- Improve the setup to support external contribs. We use a more minimalistic Coq build, gaining a few extra minutes. - [math-comp] workaround `make -j` bug to enable parallel building.
Diffstat (limited to 'tools/ci/contrib-math-comp.sh')
-rwxr-xr-xtools/ci/contrib-math-comp.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/ci/contrib-math-comp.sh b/tools/ci/contrib-math-comp.sh
new file mode 100755
index 000000000..39a92a2d8
--- /dev/null
+++ b/tools/ci/contrib-math-comp.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Proof of concept contrib build script.
+
+set -xe
+
+export PATH=`pwd`/bin:$PATH
+
+git clone --depth 3 https://github.com/math-comp/math-comp.git
+
+# odd_order takes too much time for travis.
+( cd math-comp/mathcomp && \
+ sed -i.bak '/PFsection/d' Make && \
+ sed -i.bak '/stripped_odd_order_theorem/d' Make && \
+ make Makefile.coq && make -f Makefile.coq -j ${NJOBS} all )